%global momorel 3

Summary:	Disk ARchive
Name:		dar
Version:	2.3.10
Release:	%{momorel}m%{?dist}
URL:		http://dar.linux.free.fr/
License:	GPLv2+
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	bzip2-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	libattr-devel
BuildRequires:	openssl-devel >= 1.0.0
BuildRequires:	openssl-static
BuildRequires:	zlib-devel
#patch1 needs this :-(
BuildRequires:  libtool, autoconf, automake
Patch0:		dar-2.3.5-x86_64.patch
Patch2:		dar-2.3.8-glibc210.patch

BuildRequires:  libattr-static >= 2.4.44-2m

%description
dar is a shell command that backs up directory trees and files. It has been tested under Linux, Windows, Solaris, FreeBSD, NetBSD, MacOS X and several other systems, it is released under the GNU General Public License (GPL). Since version 2.0.0 an Application Interface (API) is available, opening the way for external/independent Graphical User Interfaces (GUIs) like kdar. This API relies on the libdar library, which is the core part of DAR programs; as such, the API is released under the GPL. Consequently, to use the API, your program must be released under the GPL as well.

%package devel
Summary:	Header files and libraries for a development with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}

%prep
%setup -q

%ifarch x86_64 ppc64 sparc64 alpha ia64
%patch0 -p1 -b .x86_64
%endif

%patch2 -p1 -b .glibc210

# remove these autotool's commands when patch1 is not required.
libtoolize -f
aclocal
automake
autoconf
aclocal

%build
%configure --enable-examples
%make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# fix docs installation
mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
for i in *.html README *.dtd *.jpg *.txt man html mini-howto; do
    mv -f %{buildroot}%{_datadir}/dar/${i} %{buildroot}%{_datadir}/doc/%{name}-%{version}
done


# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/%{name}/samples
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.*a

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.10-3m)
- full rebuild for mo7 release

* Thu Jul 29 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.10-2m)
- add BuildRequires: libattr-static >= 2.4.44-2m

* Fri Jul  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.10-1m)
- update to 2.3.10

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.9-3m)
- rebuild against openssl-1.0.0

* Tue Mar 30 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.3.9-2m)
- add "BuildRequires: openssl-static"

* Sun Dec 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.9-1m)
- update to 2.3.9

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Sep 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-6m)
- apply glibc210 patch

* Sat Sep 12 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.3.8-5m)
- fix build failure with doxygen 1.6.1

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-4m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-3m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.8-2m)
- drop Patch1, already merged upstream
- License: GPLv2+

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.8-1m)
- update to 2.3.8

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.7-1m)
- update to 2.3.7

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.5-5m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.5-4m)
- rebuild against gcc43

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.3.5-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Mon Sep 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.5-2m)
- enable parallel build

* Mon Sep 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.5-1m)
- update to 2.3.5
- do not use %%NoSource macro

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.4-1m)
- update to 2.3.4

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.3-1m)
- update to 2.3.3

* Wed Mar 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.2-4m)
- BuildRequires: attr-devel -> libattr-devel

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.2-3m)
- enable ppc64

* Fri Dec 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.2-2m)
- enable to build on x86_64 (Patch0) ...mmm

* Wed Dec 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.3.2-1m)
- build for Momonga
